<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="A simple yet powerful Asana Agile Dashboard">
  <meta name="author" content="Gabriel Espinoza Erices; www.gabrielespinoza.cl">

  <title>Asana Simple Agile Dashboard</title>

  <link href="css/bootstrap.min.css" rel="stylesheet">
  <link href="css/dashboard.css" rel="stylesheet">
</head>

<body>
  <nav class="navbar navbar-dark fixed-top bg-dark flex-md-nowrap p-0 shadow">
    <a class="navbar-brand col-sm-12 col-md-12 mr-0" href="#">Asana Simple Agile Dashboard</a>
  </nav>

  <div class="container-fluid">
    <div class="row">
      <nav class="col-md-2 d-none d-md-block bg-light sidebar">
        <div class="sidebar-sticky">
          <ul class="nav flex-column">
            <li class="nav-item">
              <a class="nav-link active" href="#">
                <span data-feather="home"></span>
                Dashboard
                <span class="sr-only">(current)</span>
              </a>
            </li>
            <li class="nav-item">
              <a class="nav-link" href="#">
                <span data-feather="settings"></span>
                Configuración
              </a>
            </li>
          </ul>
        </div>
      </nav>

      <main role="main" class="col-md-9 ml-sm-auto col-lg-10 px-4">
        <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
          <h1 class="h2" id="chartTitle">BurnUp</h1>
        </div>
        <div class="row">
          <div class="col-sm-10">
            <div class="row">
              <div class="form-group col-sm-2 offset-md-4">
                <label for="beginDate">Begin Date</label>
                <input type="date" class="form-control" id="beginDate">
              </div>
              <div class="form-group col-sm-2">
                <label for="endDate">End Date</label>
                <input type="date" class="form-control" id="endDate">
              </div>
            </div>
            <div class="row" id="canvasContainer">
              
            </div>
          </div>
          <div class="col-sm-2">
            <form>
              <div class="form-group">
                <label for="token">Asana Personal Access Token</label>
                <input type="text" class="form-control" id="token" placeholder="Asana Token" >
                <small id="tokenHelp" class="form-text text-muted">
                  Developer Token as described
                  <a href="https://asana.com/developers/documentation/getting-started/auth?missingtranslation=es#personal-access-token">here</a>
                </small>
              </div>
              <button type="button" id="submitToken" class="btn btn-primary">Submit Token</button>

              <div class="form-group">
                <label for="workspaces">Select Worspace</label>
                <select class="form-control" id="workspaces"></select>
              </div>

              <div class="form-group">
                <label for="teams">Select Team</label>
                <select class="form-control" id="teams"></select>
              </div>

              <div class="form-group">
                <label for="projects">Select Project</label>
                <select class="form-control" id="projects"></select>
              </div>
            </form>
          </div>
        </div>
      </main>
    </div>
  </div>

  <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
  <script src="js/bootstrap.bundle.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.min.js"></script>
  <script src="asanaController.js"></script>
  <script src="index.js"></script>
  <script src="date.exts.js"></script>
  <script src="chartController.js"></script>

  <!-- Icons -->
  <script src="https://unpkg.com/feather-icons/dist/feather.min.js"></script>
  <script>
    feather.replace();
  </script>

</body>

</html>